Name:		hp-igb
Version:	3.4.7.1
Release:	1
Group:		System/Kernel
Vendor:		Intel Corporation
URL:		http://support.intel.com/support/go/igb.htm
Packager:	Hewlett-Packard Company
License:	GPL
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Summary:	HP NC Series Intel igb Driver for Linux

%define debug_package %{nil}

%if "%{_vendor}" == "suse"
%if %{!?KVER:1}%{?KVER:0}
%ifarch x86_64
%define flav debug default kdump smp xen trace
%else
%define flav bigsmp debug default kdump kdumppae smp vmi vmipae xen xenpae pae trace
%endif
%endif

%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"-" '{print $3}')
%endif
%endif

%if "%{_vendor}" == "redhat"
%if %{!?KVER:1}%{?KVER:0}
%define flav ""
%endif
%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"el5" '{print $2}')
%if "%{flav}" == ""
%define flav default
%endif
%endif
%endif

%if "%{_vendor}" == "suse"
BuildRequires: kernel-source kernel-syms
%define install_mod_dir updates/%{name}
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{suse_kernel_module_package -x %flav}
%else
BuildRequires: %kernel_module_package_buildreqs
%define install_mod_dir extra/%{name}
%{kernel_module_package %flav}
%endif

%description
Intel(R) Gigabit Ethernet Kernel Module for HP ProLiant systems

%package KMP
Summary: HP NC Series Intel igb Driver for Linux
Group: System/Kernel

%description KMP
Intel(R) Gigabit Ethernet Kernel Module for HP ProLiant systems

%package ocsbbd
Summary: Intel OCSD agent daemon
Group: System/Kernel
%if "%{_vendor}" == "redhat"
Requires: %{name}-kmod = %{version}-%{release}
%else
Requires: %{name}-kmp
%endif

%description ocsbbd
Intel OCSD agent daemon

%package doc
Summary: Documentation for the %{name} kernel module
Group: System/Kernel
%if "%{_vendor}" == "redhat"
Requires: %{name}-kmod = %{version}-%{release}
%else
Requires: %{name}-kmp
%endif

%description doc
Documentation for the HP NC Series Intel igb Driver for Linux

%prep
%setup
mkdir source
set -- src/*
mv src/* source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION="%version"'

%if %{!?KVER:0}%{?KVER:1}
%define flavors %{flav}
%else
%define flavors %{flavors_to_build}
%endif

for flavor in %{flavors}; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done
gzip < igb.7 > igb.7.gz
gzip < ocsbbd/ocsbbd.8 > ocsbbd/ocsbbd.8.gz

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir

%if %{!?KVER:0}%{?KVER:1}
%define flavors %{flav}
%else
%define flavors %{flavors_to_build}
%endif

for flavor in %{flavors}; do
	make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor
done
install -D -m 644 igb.7.gz $RPM_BUILD_ROOT/%{_mandir}/man7/igb.7.gz
install -D -m 644 ocsbbd/ocsbbd.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/ocsbbd.8.gz

mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/usr/sbin

%if "%{_vendor}" == "redhat"
	cp ocsbbd/initd.rhel %{buildroot}/etc/init.d/ocsbbd
	%ifarch x86_64
		cp ocsbbd/x64/ocsbbd.rhel %{buildroot}/usr/sbin/ocsbbd
	%else
		cp ocsbbd/x86/ocsbbd.rhel %{buildroot}/usr/sbin/ocsbbd
	%endif
%else
	cp ocsbbd/initd.sles %{buildroot}/etc/init.d/ocsbbd
	%ifarch x86_64
		cp ocsbbd/x64/ocsbbd.sles %{buildroot}/usr/sbin/ocsbbd
	%else
		cp ocsbbd/x86/ocsbbd.sles %{buildroot}/usr/sbin/ocsbbd
	%endif
%endif

%post ocsbbd
/sbin/chkconfig --add ocsbbd > /dev/null

%preun ocsbbd
if [ $1 = 0 ]; then
	/sbin/service ocsbbd stop > /dev/null
	/sbin/chkconfig --del ocsbbd > /dev/null
fi

%postun ocsbbd
if [ $1 = 1 ]; then
	/sbin/service ocsbbd %sopt > /dev/null || :
fi

%postun doc
if [ -f %{_mandir}/man7/igb.7.gz ]; then
	exit 0
fi

%clean
rm -rf %{buildroot}

%files ocsbbd
%attr(755, root, root) /etc/init.d/ocsbbd
%attr(755, root, root) /usr/sbin/ocsbbd
%attr(644, root, root) %{_mandir}/man8/ocsbbd.8.gz

%files doc
%defattr(-, root, root)
%{_mandir}/man7/igb.7.gz
%doc COPYING README

%changelog
* Tue Oct 6 2009 - Intel Corporation <linuxnics@mailbox.intel.com>>%{version}-%{release}
- Initial package
